set $w1 1 main
set $w2 2 web
set $w3 3 mu
set $w4 4 work
set $w5 5 terms
set $w6 6 stats
set $w7 7
set $w8 8
set $w9 9
set $w10 10 games

set $below_barY 24
#set $volX 1400
#set $brX 1485
#set $calX 1650
set $htopX 400
set $pavuX 800

for_window [class="Terminator"]               border pixel 0
for_window [class="YADWIN"]                   floating enable
for_window [class="FLOAT_PAVU"]               floating enable
for_window [class="FLOAT_PAVU"]               resize set 800 540
for_window [class="FLOAT_PAVU"]               border pixel 3
for_window [class="FLOAT_PAVU"]               move absolute position $pavuX px $below_barY px
for_window [class="FLOAT_TERM"]               floating enable
for_window [class="FLOAT_TERM"]               move absolute position $htopX px $below_barY px
for_window [class="FLOAT_TERM"]               border pixel 3
for_window [title="Memory"]                   floating enable
for_window [class="Matplotlib"]               floating enable
for_window [class="Chromium"]                 border pixel 0
for_window [class="^.*"]                      border pixel 0
for_window [window_type="toolbar"]            border pixel 3
for_window [window_type="splash"]             border pixel 3
for_window [window_type="dialog"]             border pixel 3
for_window [window_type="utility"]            border pixel 3
for_window [window_role="pop-up"]             floating enable
for_window [title="VMD 1.9.3 OpenGL Display"] floating enable
for_window [title="Terminator Preferences"]   floating enable
for_window [title="Figure *"]                 floating enable
#for_window [title="VMD"] floating enable

assign [class="firefox"]                  → $w2
assign [class="Chromium"]                 → $w2
assign [class="libreoffice*"]             → $w4
assign [class="soffice*"]                 → $w4
assign [class="MATLAB*"]                  → $w4
assign [window_role="ranger"]             → $w1
assign [window_role="terms"]              → $w5
assign [window_role="stats"]              → $w6
assign [class="Minecraft*"]               → $w10
assign [title="Feed The Beast Launcher*"] → $w10
#Spotify bug, assign doesn't work
for_window [class="Spotify"] move to workspace $w3

# Gaps settings
####

gaps inner 0
gaps outer 0

workspace 1 gaps inner 10
workspace 4 gaps inner 10
workspace 5 gaps inner 10
workspace 6 gaps inner 60

# Multimedia Bindings
####

# pulse audio volume control
bindsym XF86AudioRaiseVolume exec ~/.i3/scripts/level.sh -v up
bindsym XF86AudioLowerVolume exec ~/.i3/scripts/level.sh -v down
bindsym XF86AudioMute exec ~/.i3/scripts/level.sh -v toggle
bindsym XF86MonBrightnessUp exec ~/.i3/scripts/level.sh -b up
bindsym XF86MonBrightnessDown exec ~/.i3/scripts/level.sh -b down
bindsym $mod+F8 exec playerctl play-pause
bindsym $mod+F9 exec playerctl next
bindsym $mod+F7 exec playerctl previous
bindsym XF86AudioPlay exec playerctl play
bindsym XF86AudioPause exec playerctl pause
bindsym XF86AudioNext exec playerctl next
bindsym XF86AudioPrevious exec playerctl previous

bindsym Print exec scrot '%Y-%m-%d-%T_$wx$h_scrot.png' -e 'mv $f ~/Obrazy/screenshots/'
bindsym Shift + Print exec scrot -s '%Y-%m-%d-%T_$wx$h_scrot.png' -e 'mv $f ~/Obrazy/screenshots/'

bindsym $mod+space exec sh ~/.i3/scripts/lang.sh next

# Exiting
####

bindsym XF86Sleep exec sh ~/.i3/i3exit.sh lock
bindsym XF86PowerOff mode "$mode_system"; exec sh .i3/lemonbar/set_mode.sh mode power



####
# layout settings
####
bindsym $mod+u exec feh --bg-scale /home/kuba/Obrazy/Wallpapers/AxEcN\ -\ Imgur.jpg
#exec compton -b
#workspace 1 main
exec --no-startup-id $TERMINAL --role "ranger" -x ranger

#exec --no-startup-id i3-msg 'workspace 5 terms"
exec --no-startup-id $TERMINAL --role "terms"
exec --no-startup-id $TERMINAL --role "terms"

#workspace 6 stats;
exec --no-startup-id i3-msg 'append_layout /home/kuba/.i3/workspace_6.json; rename workspace to "6 stats"'
#Set appropriate background image before starting conkys
exec --no-startup-id feh --bg-scale /home/kuba/Obrazy/Wallpapers/6_stats

#Start conky's in .i3/.autostart
exec sh ~/.i3/.autostart
